% sco1.m

% First the linear part of the problem
% is specified.

c           = [1;0;0];
a           = sparse([[0 0 0];[1 2 -1]]);
blc         = [-inf; 0];
buc         = [1;0];
blx         = [-inf;-inf;0];

% Then the nonlinear part.

opr         = ['log'; 'pow'; 'pow'];
opri        = [0;     1;     1    ];
oprj        = [3;     1;     2    ];
oprf        = [-1;    1;     1    ];
oprg        = [0;     2;     2    ];

% Finally, the optimizer is called. Note that bux is an optional
% parameter which should be added if the variables has an upper
% bound. 

[res]       = mskscopt(opr,opri,oprj,oprf,oprg,c,a,blc,buc,blx); 
                                                                 

% Then the solution is printed.
res.sol.itr.xx
